Components
Retrieve a component override
Scope: env:read
Authorization
bearerAuth AuthorizationBearer <token>
Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer adm_pat_...
In: header
Path Parameters
component_id*component_id
The component (UUID).
Format
uuidenvironment_id*environment_id
The environment (UUID).
Format
uuidResponse Body
application/json
curl -X GET "https://admiral.example.com/api/v1/components/497f6eca-6276-4993-bfeb-53cbbbba6f08/overrides/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "override": { "component_id": "41afafe5-2a48-424a-baef-34c2ad44ef7b", "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4", "disabled": true, "source_id": "ae50a35c-df42-4eff-ba26-f8bc28d2af81", "version": "string", "values_template": "string", "depends_on": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "outputs": [ { "name": "string", "value_template": "string", "description": "string" } ], "created_by": { "id": "string", "display_name": "string", "email": "string" }, "updated_by": { "id": "string", "display_name": "string", "email": "string" }, "created_at": "2023-01-15T01:30:15.01Z", "updated_at": "2023-01-15T01:30:15.01Z" }}